POST
/bases/export-csvExport a base as CSV
Streams CSV directly rather than returning the standard JSON envelope.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
pageIdstringrequired
Id of the base. A base *is* a page, so this is the base's page id - the same id you would pass to the page endpoints.
200CSV stream
403Forbidden
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
404Base not found
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 403 is returned: Forbidden. A 404 is returned: Base not found.